<?php
declare(strict_types=1);

namespace FiloBlu\Flow\Api;

interface SwatchColorInterface
{
    /**
     * @return mixed
     */
    public function getId();

    /**
     * @param $id
     * @return mixed
     */
    public function setId($id);

    /**
     * @return mixed
     */
    public function getAttribute();

    /**
     * @param $attribute
     * @return mixed
     */
    public function setAttribute($attribute);

    /**
     * @return mixed
     */
    public function getOptionName();

    /**
     * @param $adminName
     * @return mixed
     */
    public function setOptionName($adminName);

    /**
     * @return mixed
     */
    public function getOptionId();

    /**
     * @param $option_id
     * @return mixed
     */
    public function setOptionId($option_id);

    /**
     * @return mixed
     */
    public function getType();

    /**
     * @param $type
     * @return mixed
     */
    public function setType($type);

    /**
     * @return mixed
     */
    public function getValue();

    /**
     * @param $value
     * @return mixed
     */
    public function setValue($value);

    /**
     * @return mixed
     */
    public function getMetaFile();

    /**
     * @param $file
     * @return mixed
     */
    public function setMetaFile($file);

    /**
     * @return mixed
     */
    public function getMetaInsertTime();

    /**
     * @param $time
     * @return mixed
     */
    public function setMetaInsertTime($time);

    /**
     * @return mixed
     */
    public function getMetaProcessed();

    /**
     * @param $meta_processed
     * @return mixed
     */
    public function setMetaProcessed($meta_processed);
}
